Subject: Re: [PATCH v5 RFC 0/3] Generic IOMMU pooled allocator

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 23 Mar 2015 10:32:29 +1100

On Sun, 2015-03-22 at 15:22 -0400, Sowmini Varadhan wrote:
> Follows up on the feedback in the thread at
>   http://www.spinics.net/lists/sparclinux/msg13493.html
> 
> - removed ->cookie_to_index and ->demap indirection from the iommu_tbl_ops
>   The caller needs to call these functions as needed, before invoking
>   the generic arena allocator functions.
> 
> - added the "skip_span_boundary" argument to iommu_tbl_pool_init() for
>   those callers like LDC which do no care about span boundary checks.

Thanks. I'll try to look in depth some time this week, but poke me if
you don't hear from me, I'm a bit swamped at the moment. In the
meantime, Alexey might have some bandwidth to also check it out.

Cheers,
Ben.